Skip to main content
POST
/
v1
/
external
/
organization
/
{organizationId}
/
radar
Adiciona radar à organização
curl --request POST \
  --url https://search.tratum.com.br/v1/external/organization/{organizationId}/radar \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "code": "<string>",
  "id": 123,
  "listTribunals": [
    {
      "court": "<string>",
      "code": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "active": true,
      "availableProcess": true,
      "activeNewProcesses": true,
      "availableFile": true,
      "projectIdNewProcesses": "<string>",
      "projectIdDetails": "<string>",
      "uf": "<string>",
      "region": "<string>",
      "name": "<string>"
    }
  ],
  "countProcesses": 123,
  "typeCustomer": "<string>"
}
'
import requests

url = "https://search.tratum.com.br/v1/external/organization/{organizationId}/radar"

payload = {
"name": "<string>",
"code": "<string>",
"id": 123,
"listTribunals": [
{
"court": "<string>",
"code": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"active": True,
"availableProcess": True,
"activeNewProcesses": True,
"availableFile": True,
"projectIdNewProcesses": "<string>",
"projectIdDetails": "<string>",
"uf": "<string>",
"region": "<string>",
"name": "<string>"
}
],
"countProcesses": 123,
"typeCustomer": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
code: '<string>',
id: 123,
listTribunals: [
{
court: '<string>',
code: '<string>',
createdAt: '2023-11-07T05:31:56Z',
active: true,
availableProcess: true,
activeNewProcesses: true,
availableFile: true,
projectIdNewProcesses: '<string>',
projectIdDetails: '<string>',
uf: '<string>',
region: '<string>',
name: '<string>'
}
],
countProcesses: 123,
typeCustomer: '<string>'
})
};

fetch('https://search.tratum.com.br/v1/external/organization/{organizationId}/radar', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "name": "<string>",
  "code": "<string>",
  "id": 123,
  "listTribunals": [
    {
      "court": "<string>",
      "code": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "active": true,
      "availableProcess": true,
      "activeNewProcesses": true,
      "availableFile": true,
      "projectIdNewProcesses": "<string>",
      "projectIdDetails": "<string>",
      "uf": "<string>",
      "region": "<string>",
      "name": "<string>"
    }
  ],
  "countProcesses": 123,
  "typeCustomer": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organizationId
integer<int64>
required

ID da organização

Body

application/json
name
string
required

Nome do radar

type
enum<string>
required

Tipo do radar

Available options:
CPF,
CNPJ,
OAB_NUMBER,
PROCESS
code
string
required

Código monitorado pelo radar

id
integer<int64> | null
listTribunals
object[] | null
countProcesses
integer | null
typeCustomer
string | null

Response

Radar cadastrado com sucesso

name
string
required

Nome do radar

type
enum<string>
required

Tipo do radar

Available options:
CPF,
CNPJ,
OAB_NUMBER,
PROCESS
code
string
required

Código monitorado pelo radar

id
integer<int64> | null
listTribunals
object[] | null
countProcesses
integer | null
typeCustomer
string | null